<?php 
/*
 * WP Social Buttons
 * @get_wpsb_sidebar_options()
 * @wp_register_style()
 * @wp_enqueue_script
 * @add_action
 * */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 
// get all options value for "Custom Share Buttons with Floating Sidebar"
if(!function_exists('get_wpsb_sidebar_options')):
function get_wpsb_sidebar_options() {
		global $wpdb;
		$ctOptions = $wpdb->get_results("SELECT option_name, option_value FROM $wpdb->options WHERE option_name LIKE 'wpsb_%'");					
		foreach ($ctOptions as $option) {
			$ctOptions[$option->option_name] =  esc_attr($option->option_value);
		}
		return ($ctOptions);	
	}
endif;
/* 
 * Site is browsing in mobile or not
 * @IsMobile()
 * */
if(!function_exists('wpsbisMobile')):
function wpsbisMobile() {

	return true;
// Check the server headers to see if they're mobile friendly
if(isset($_SERVER["HTTP_X_WAP_PROFILE"])) {
    return true;
}
// Let's NOT return "mobile" if it's an iPhone, because the iPhone can render normal pages quite well.
if(isset($_SERVER["HTTP_USER_AGENT"])):
if(strstr($_SERVER['HTTP_USER_AGENT'], 'iPad')) {
    return false;
}
endif;

// If the http_accept header supports wap then it's a mobile too
if(isset($_SERVER["HTTP_ACCEPT"])):
if(preg_match("/wap\.|\.wap/i",$_SERVER["HTTP_ACCEPT"])) {
    return true;
}
endif;
// Still no luck? Let's have a look at the user agent on the browser. If it contains
// any of the following, it's probably a mobile device. Kappow!
if(isset($_SERVER["HTTP_USER_AGENT"])){
    $user_agents = array("midp", "j2me", "avantg", "docomo", "novarra", "palmos", "palmsource", "240x320", "opwv", "chtml", "pda", "windows\ ce", "mmp\/", "blackberry", "mib\/", "symbian", "wireless", "nokia", "hand", "mobi", "phone", "cdm", "up\.b", "audio", "SIE\-", "SEC\-", "samsung", "HTC", "mot\-", "mitsu", "sagem", "sony", "alcatel", "lg", "erics", "vx", "NEC", "philips", "mmm", "xx", "panasonic", "sharp", "wap", "sch", "rover", "pocket", "benq", "java", "pt", "pg", "vox", "amoi", "bird", "compal", "kg", "voda", "sany", "kdd", "dbt", "sendo", "sgh", "gradi", "jb", "\d\d\di", "moto");
    foreach($user_agents as $user_string){
        if(preg_match("/".$user_string."/i",$_SERVER["HTTP_USER_AGENT"])) {
            return true;
        }
    }
}
// None of the above? Then it's probably not a mobile device.
return false;
}
endif;
//exit;
// Get WP Social Buttons plugin options
$pluginOptionsVal=get_wpsb_sidebar_options();
//check plugin in enable or not
if(isset($pluginOptionsVal['wpsb_active']) && $pluginOptionsVal['wpsb_active']==1){
if((wpsbisMobile()) && 
isset($pluginOptionsVal['wpsb_deactive_for_mob']) 
&& $pluginOptionsVal['wpsb_deactive_for_mob']!='')
{
	return true;
	exit;
}
else {
add_action('wp_footer','get_wpsb_sidebar_content');
add_action( 'wp_enqueue_scripts', 'wpsb_sidebar_scripts' );
add_action('wp_enqueue_scripts','wpsb_sidebar_load_inline_js');
}

}

/** check is home or not */
if(!function_exists('wpsbIsHome')):
function wpsbIsHome(){
$pluginOptionsVal=get_wpsb_sidebar_options();
if((is_home() || is_front_page()) && $pluginOptionsVal['wpsb_disable_for_home']=='yes') 
{
remove_action('wp_footer','get_wpsb_sidebar_content');
remove_action( 'wp_dequeue_script', 'wpsb_sidebar_scripts' );
remove_action('wp_footer','wpsb_sidebar_load_inline_js');
       	return true;
	    exit;
		}
elseif(is_404()){
remove_action('wp_footer','get_wpsb_sidebar_content');
remove_action( 'wp_dequeue_script', 'wpsb_sidebar_scripts' );
remove_action('wp_footer','wpsb_sidebar_load_inline_js');
       	return true;
	    exit;
    }
else
		{
		//silent
			}
}
endif;			
add_action('wp_head','wpsbIsHome');

//register style and scrip files
if(!function_exists('wpsb_sidebar_scripts')):
function wpsb_sidebar_scripts() {
wp_enqueue_script( 'jquery' ); // wordpress jQuery
wp_register_style( 'wpsb_sidebar_style', plugins_url( 'css/wpsb.css',__FILE__ ) );
wp_enqueue_style( 'wpsb_sidebar_style' );
//disable social share iframe
$wpsb_hide_frame = get_option('wpsb_hide_frame') ? get_option('wpsb_hide_frame') : '';
if($wpsb_hide_frame!='yes') {
$wpsbcss =' #wpsb-left #wpsb-social-inner {width: 89px;background: url("'.plugins_url( 'images/left.png',__FILE__ ).'") no-repeat;height:390px;}
#wpsb-right #wpsb-social-inner{width: 89px;background: url("'.plugins_url( 'images/right.png',__FILE__ ).'") no-repeat;height:390px;} ';
 wp_add_inline_style( 'wpsb_sidebar_style', $wpsbcss );
}

}
endif;
/*
-----------------------------------------------------------------------------------------------
                              "Add the jQuery code in head section using hooks"
-----------------------------------------------------------------------------------------------
*/
if(!function_exists('wpsb_sidebar_load_inline_js')):
function wpsb_sidebar_load_inline_js()
{
   $pluginOptionsVal=get_wpsb_sidebar_options();
	$jscnt=' jQuery(document).ready(function()
  { ';
 
  if($pluginOptionsVal['wpsb_delayTimeBtn']!='0'):
   $jscnt.=' jQuery("#wpsb-delaydiv").hide();
	setTimeout(function(){
	 jQuery("#wpsb-delaydiv").fadeIn();}, '.$pluginOptionsVal['wpsb_delayTimeBtn'].');';
  endif;  

  $jscnt.=' jQuery("div.wpsb-show").hide();
  jQuery("div.wpsb-show a").click(function(){
    jQuery("div#wpsb-social-inner").show(500);
     jQuery("div.wpsb-show").hide(500);
    jQuery("div.wpsb-hide").show(500);
  });
  
  jQuery("div.wpsb-hide a").click(function(){
     jQuery("div.wpsb-show").show(500);
      jQuery("div.wpsb-hide").hide(500);
     jQuery("div#wpsb-social-inner").hide(500);
  });';
  
$jscnt.='}); ';

$jscnt.=' (function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&appId=170994699765546&version=v2.0";
  fjs.parentNode.insertBefore(js, fjs);
}(document, \'script\', \'facebook-jssdk\')); ';
	
	wp_add_inline_script( 'jquery-core', $jscnt );
	wp_enqueue_script( 'pinterestjs', '//assets.pinterest.com/js/pinit.js', array('jquery'), '3.3.5', true );
}	
endif;
/*
-----------------------------------------------------------------------------------------------
                              "WP Social Buttons" HTML
-----------------------------------------------------------------------------------------------
*/
if(!function_exists('get_wpsb_sidebar_content')):
function get_wpsb_sidebar_content() {
global $post;
$pluginOptionsVal=get_wpsb_sidebar_options();
if(is_category())
	{
	   $category_id = get_query_var('cat');
	   $shareurl =get_category_link( $category_id );   
	   $cats = get_the_category();
	   $ShareTitle=$cats[0]->name;
	}elseif(is_page() || is_single())
	{
	   $shareurl=get_permalink($post->ID);
	   $ShareTitle=$post->post_title;
	}
	else
	{
        $shareurl =home_url('/');
        $ShareTitle=get_bloginfo('name');
		}
		
// Top Margin
if($pluginOptionsVal['wpsb_top_margin']!=''){
	$margin=$pluginOptionsVal['wpsb_top_margin'];
}else
{
	$margin='25%';
	}

//Sidebar Position
if($pluginOptionsVal['wpsb_position']=='right'){
	$style=' top:'.$margin.';right:-5px; ';
	$idName=' id="wpsb-right"';
	$showImg='hide-r.png';
	$hideImg='show.png';
	
}else
{
	$idName=' id="wpsb-left"';
	$style='  top:'.$margin.';left:0; ';
    $showImg='hide-l.png';
	$hideImg='hide.png';
	}
?>

<div id="wpsb-delaydiv">
    <div class="wpsb-social-widget" <?php esc_attr_e($idName); ?> title="Share This Site With Your Friends" style="<?php esc_html_e($style); ?>">
        <div class="wpsb-show"><a href="javascript:" title="Show Buttons" id="wpsb-show"><img src="<?php esc_attr_e(plugins_url('wp-social-buttons/images/'.$showImg)) ?>" alt="Show Buttons"></a></div>
         <div id="wpsb-social-inner">
<?php

if($pluginOptionsVal['wpsb_fpublishBtn']!=''): ?>

<div class="sbutton first"><div id="fb"><div class="fb-like" data-href="<?php esc_attr_e($shareurl); ?>" data-layout="box_count" data-action="like" data-show-faces="true" data-share="false"></div></div></div>
<?php 
endif;

if($pluginOptionsVal['wpsb_ppublishBtn']!=''): ?>
  <div class="sbutton"><div id="pin"><a href="//www.pinterest.com/pin/create/button/?url=<?php esc_attr_e($shareurl)?>&media=http://farm8.staticflickr.com/7027/6851755809_df5b2051c9_z.jpg&description='.$ShareTitle.'" data-pin-do="buttonPin" data-pin-config="above" data-pin-color="red" data-pin-height="28"><img src="//assets.pinterest.com/images/pidgets/pinit_fg_en_rect_red_28.png" /></a></div></div>
  
<?php 
endif;


if($pluginOptionsVal['wpsb_lpublishBtn']!=''): ?>
   <div class="sbutton"><div id="li"><script src="//platform.linkedin.com/in.js" type="text/javascript">lang: en_US</script><script type="IN/Share" data-url="<?php esc_attr_e($shareurl);?>" data-counter="top"></script></div></div>

<?php
endif;
if($pluginOptionsVal['wpsb_tumpublishBtn']!=''): ?>

<div class="sbutton"><div id="tumbr"><a class="tumblr-share-button" href="<?php esc_attr_e($shareurl); ?>"></a>
<script id="tumblr-js" async src="//assets.tumblr.com/share-button.js"></script></div></div>
<?php
endif;
if($pluginOptionsVal['wpsb_twitterpublishBtn']!=''): ?>

<div class="sbutton"><div id="twitter"><a href="https://twitter.com/share?ref_src=twsrc%5Etfw" class="twitter-share-button" data-show-count="false">Tweet</a><script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script></div></div>

<?php
endif;
?>
</div>
 <div class="wpsb-hide"><a href="javascript:" title="Hide WP Social Buttons" id="wpsb-hide"><img src="<?php esc_attr_e(plugins_url('wp-social-buttons/images/'.$hideImg)) ?>" alt="Hide Buttons"></a></div></div></div>
<?php
}
endif;
?>
